RSEM-PLOT-TRANSCRIPT-WIGGLES(1)

NAME
rsem-plot-transcript-wiggles

SYNOPSIS
 rsem-plot-transcript-wiggles [options] sample_name input_list output_plot_file

ARGUMENTS

sample_name
    The name of the sample analyzed.

input_list
    A list of transcript ids or gene ids. But it cannot be a mixture of transcript & gene ids. Each id occupies one line without extra spaces.

output_plot_file
    The file name of the pdf file which contains all plots.

OPTIONS

--gene-list
    The input-list is a list of gene ids. (Default: off)

--transcript-list
    The input-list is a list of transcript ids. This option can only be turned on if allele-specific expression is calculated. (Default: off)

--show-unique
    Show the wiggle plots as stacked bar plots. See description section for details. (Default: off)

-p/--num-threads <int>
    Set the number of threads we can use. (Default: 1)

--memory-per-thread <string>
    Set the maximum allowable memory per thread. <string> represents the memory and accepts suffices 'K/M/G'. (Default: 1G)

-h/--help
    Show help information.

DESCRIPTION
This program generates transcript wiggle plots and outputs them in a pdf file. This program can accept either a list of transcript ids or gene ids (if transcript to gene mapping information is provided) and has two modes of showing wiggle plots. If '--show-unique' is not specified, the wiggle plot for each transcript is a histogram where each position has the expected read depth at this position as its height. If '--show-unique' is specified, for each transcript a stacked bar plot is generated. For each position, the read depth of unique reads, which have only one alignment, is showed in black. The read depth of multi-reads, which align to more than one places, is showed in red on top of the read depth of unique reads.This program will use some files RSEM generated previouslly. So please do not delete/move any file 'rsem-calculate-expression' generated. If allele-specific expression is calculated, the basic unit for plotting is an allele-specific transcript and plots can be grouped by either transcript ids (--transcript-list) or gene ids (--gene-list).

OUTPUT

output_plot_file
    This is a pdf file containing all plots generated. If a list of transcript ids is provided, each page display at most 6 plots in 3 rows and 2 columns. If gene ids are provided, each page display a gene. The gene's id is showed at the top and all its transcripts' wiggle plots are showed in this page. The arrangment of plots is determined automatically. For each transcript wiggle plot, the transcript id is displayed as title. x-axis is position in the transcript and y-axis is read depth. If allele-specific expression is calculated, the basin unit becomes an allele-specific transcript and transcript ids and gene ids can be used to group allele-specific transcripts.

sample_name.transcript.sorted.bam and sample_name.transcript.readdepth
    If these files do not exist, 'rsem-plot-transcript-wiggles' will automatically generate them.

sample_name.uniq.transcript.bam, sample_name.uniq.transcript.sorted.bam and sample_name.uniq.transcript.readdepth
    If '--show-unique' option is specified and these files do not exist, 'rsem-plot-transcript-wiggles' will automatically generate them.

EXAMPLES
Suppose sample_name and output_plot_file are set to 'mmliver_single_quals' and 'output.pdf' respectively. input_list is set to 'transcript_ids.txt' if transcript ids are provided, and is set to 'gene_ids.txt' if gene ids are provided.

1) Transcript ids are provided and we just want normal wiggle plots:

 rsem-plot-transcript-wiggles mmliver_single_quals transcript_ids.txt output.pdf

2) Gene ids are provided and we want to show stacked bar plots:

 rsem-plot-transcript-wiggles --gene-list --show-unique mmliver_single_quals gene_ids.txt output.pdf